Bug 59036 - EDITING AutoCorrect: "Remove blank paragraphs" will work for all styles, other "[M]" options only for Default
Summary: EDITING AutoCorrect: "Remove blank paragraphs" will work for all styles, othe...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.4.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2013-01-04 20:07 UTC by Mirosław Zalewski
Modified: 2019-10-22 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (10.30 KB, application/vnd.oasis.opendocument.text)
2013-01-04 20:07 UTC, Mirosław Zalewski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2013-01-04 20:07:06 UTC
Created attachment 72524 [details]
Test document

Steps to reproduce:
1. Open attached document.
1. Go into Tools → Autocorrect options → Options → check "Remove blank paragraphs". Ensure that both checkboxes are checked by "Correct TWo INitial CApitals" and "Capitalize first letter of every sentence".
3. From menu, Choose Format → AutoCorrect → Apply

Result:
default paragraphs will be removed. Initial capitals and sentences starting with minuscule will not be corrected.

This gives impression that "[M]" autocorrect in Writer is not working consistently. Some options will be applied only for paragraphs with Default style, while others (namely: "Remove blank paragraphs") will be applied for all paragraphs, despite their style.

Obviously these options should work consistently, either only for Default style paragraphs, or for all of them.

See also #59034

I am using Debian testing, amd64, LibreOffice 3.6.4 from Debian (experimental) repository.
Comment 1 Jean-Baptiste Faure 2014-01-26 13:15:46 UTC
Indeed "Correct TWo INitial CApitals" and "Capitalize first letter of every sentence" do not work from menu, Choose Format → AutoCorrect → Apply

Reproducible with version 4.2.0.3.0+ on Ubuntu 13.10.

Best regards. JBF
Comment 2 Joel Madero 2015-05-02 15:42:56 UTC Comment hidden (obsolete)
Comment 3 Jean-Baptiste Faure 2015-05-03 20:13:01 UTC
Still reproducible with LibreOffice 4.4.40.0+ built at home under Ubuntu 15.04 x86-64.
Idem with Version: 5.0.0.0.alpha1+
Build ID: 4fb32d8ac28c5fb9e6a230818be0c05da9b53ad4

Best regards. JBF
Comment 4 QA Administrators 2016-09-20 09:36:52 UTC Comment hidden (obsolete)
Comment 5 Jean-Baptiste Faure 2016-09-25 07:27:26 UTC
Still reproducible in LO 5.2.3.0+ and current master, both built at home under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 6 Xisco Faulí 2017-09-29 08:51:15 UTC Comment hidden (obsolete)
Comment 7 Jean-Baptiste Faure 2017-10-28 19:20:35 UTC
Still reproducible in LO 5.4.4.0.0+ and current master, both built at home under Ubuntu 16.04 x86-64.

Best regards. JBF
Comment 8 QA Administrators 2019-10-22 02:32:23 UTC
Dear Mirosław Zalewski,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug